Page MenuHomePhabricator

[regression] Can't remove a saved filter
Closed, ResolvedPublic

Description

On Beta, when I click on remove, nothing happen. I don't have this problem on on-production wikis.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 28 2017, 3:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 362108 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Fix typo in removing a saved query

https://gerrit.wikimedia.org/r/362108

The issue is in testwiki and cawiki (1.30.0-wmf.7). The console error:

Uncaught TypeError: Cannot read property 'removeItems' of undefined at MwRcfiltersDmSavedQueriesModel.mw.rcfilters.dm.SavedQueriesModel.removeQuery
at MwRcfiltersController.mw.rcfilters.Controller.removeSavedQuery 
at MwRcfiltersUiSavedLinksListWidget.mw.rcfilters.ui.SavedLinksListWidget.onMenuItemRemove 
at OoUiButtonGroupWidget.oo.EventEmitter.emit
at MwRcfiltersUiSavedLinksListWidget.oo.EventEmitter.emit
at MwRcfiltersUiSavedLinksListWidget.mw.rcfilters.ui.SavedLinksListItemWidget.onMenuChoose
at OoUiMenuSelectWidget.oo.EventEmitter.emit
at OoUiMenuSelectWidget.OO.ui.SelectWidget.chooseItem 
at OoUiMenuSelectWidget.OO.ui.MenuSelectWidget.chooseItem
at OoUiMenuSelectWidget.OO.ui.SelectWidget.onMouseUp

Change 362108 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Fix typo in removing a saved query

https://gerrit.wikimedia.org/r/362108

Change 362113 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.7] RCFilters: Fix typo in removing a saved query

https://gerrit.wikimedia.org/r/362113

Checked the fix in betalabs.

Change 362113 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.7] RCFilters: Fix typo in removing a saved query

https://gerrit.wikimedia.org/r/362113

Mentioned in SAL (#wikimedia-operations) [2017-06-29T23:31:17Z] <catrope@tin> Synchronized php-1.30.0-wmf.7/resources/src/mediawiki.rcfilters/: RCFilters fixes (T169169, T169107, T169042) (duration: 00m 42s)

Checked the fix in wmf.7 enwiki.

Etonkovidova closed this task as Resolved.Jul 14 2017, 6:08 PM